<?php

namespace App\Filament\Resources\StudentLifeEventsResource\Pages;

use App\Filament\Resources\StudentLifeEventsResource;
use Filament\Resources\Pages\CreateRecord;
use Filament\Notifications\Notification;

class CreateStudentLifeEvent extends CreateRecord
{
    protected static string $resource = StudentLifeEventsResource::class;

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }

    protected function getCreatedNotification(): ?Notification
    {
        return Notification::make()
            ->success()
            ->title('Student Life Event created successfully')
            ->body('The student life event has been created successfully.');
    }

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        return $data;
    }
} 